#ifndef __MATERIAL__
#define __MATERIAL__

#include <stdlib.h>
#include "GL/glut.h"

#include "Vec3f.h"
#include "Vec4f.h"

class Material
{
public:

	Material(Vec4f ambient, Vec4f diffuse, Vec4f specular, float shininess);

	virtual ~Material();

	void activate(float depth = 1, float alpha = 1);

protected:

	Vec4f ambient;
	Vec4f diffuse; 
	Vec4f specular;
	float shininess;

};

#endif __MATERIAL__